Subject: [os2genau_digest] No. 1943
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 16 Apr 2010 00:00:14 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 15 April 2010
 Number  1943
**************************************************

Subjects for today
 
1  Re:  eCUPS : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 15 Apr 2010 07:39:21 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  eCUPS

Paul Smedley wrote:
> Hi Alan,
>
> On 13/04/10 07:34, Alan Duval wrote:
>> Paul Smedley wrote:
>>> Hi Alan,
>>>
>>> On 12/04/10 16:44, Alan Duval wrote:
>>>> paul at smedley dot id dot au wrote:
>>>>> Hi Alan,
>>>>>
>>>>> Quoting "Alan Duval" <amoht at westnet dot com dot au>:
>>>>>> I downloaded your port of hplip and unzipped it to C: where cups is.
>>>>>> I find that the drivers are in C:\cups\share\ppd\HP and the driver
>>>>>> "hp_officejet_pro_K5300.ppd.gz" is there but it doesn't seem to show
>>>>>> when I rerun the 'add printer' part in http://localhost:631.
>>>>> I think this path is wrong.... At work right now, but from memory it
>>>>> should be in:
>>>>> \cups\share\cups\model\hp\*.ppd.gz
>>>>
>>>> I copied the HP folder to the path you suggested and the driver now
>>>> shows in the list of printers displayed in the localhost:631 screen.
>>>> Hence I deleted the previous printer and added a printer with the HP
>>>> driver but test page doesn't print. Error line
>>>> "\cups\lib\cups\filter\hpcups.exe failed" is displayed in the
>>>> localhost:631 screen. I didn't change anything in eCS so don't know
>>>> whether I should have deleted the printer in eCs also.
>>>
>>> Try printing a real document - the test print probably failed due to
>>> missing resolution option - long story - related to the missing
>>> resolution/print quality options in the hplip ppd files that I
>>> mentioned earlier.
>> Couldn't print a real document with the command C:\cups\bin\lpr -P HP
>> \cups\readme.txt
>> HP is the name I gave my printer when installed from localhost:631.
>>
>> After installing printer from localhost:631 the printers window shows:
>>
>> *Description:* HP Officejet Pro 5300
>> *Location:* Home office
>> *Printer Driver:* HP Officejet Pro k5300, hpcups 3.9.12.29
>> *Printer State:* idle, accepting jobs, published.
>> *Device URI:* usb://HP/Officejet%20Pro%20K5300?serial=MY84G6830J
>>
>> I cannot find the driver in C:\cups in any directory whereas the
>> gutenprint.5.2.exe driver from previous installation is in
>> c:\cups\lib\cups\driver\
>>
>> All the hp*.ppd.gz files are in C:\cups\share\cups\model\ as copied
>> previously and this resulted in K5300 being recognized in localhost:631
>> but these hp*.ppd.gz files are not drivers.
>>
>> I'm feeling really frustrated.
> Which file did you download to test hplip?

I had downloaded the  hplip-3.9.12-os2-20100218.zip from Netlabs.
On this PC I have eCs 2.0 rc4 installed.
I have now downloaded  hplip-3.10.2-os2-20100304.zip  but am not sure 
whether I can install it over the present install.
I could also download  hplip-3.9.12-os2-20100224.zip  which is obviously 
a later version than the one I installed.

>
> I have these builds available:
> http://download.smedley.info/hplip-3.9.12-os2-20100224.zip
> http://download.smedley.info/hplip-3.10.2-os2-20100304.zip
>
> 3.9.12 probably has the best reports of success.  The fact that you 
> had to move the ppd.gz suggests another version as as far as I know - 
> the above work.
>
> The .ppd.gz files describe the features that are supported by the 
> respective printer.
>
> The hard work is done by hpcups.exe - which should be in 
> \cups\lib\cups\filter
>
> The way things work are:
> - Postscript file received by cups
> - file piped thru pstops.exe to clean up the code
> - file piped thru ghostscript to produce cups raster code
> - file piped thru printer specific filter (ie rastertoqdpl (Splix), 
> rastertogutenprint (Gutenprint), hpcups (hplips)
> - file piped to relevant printer backend (usb.exe, http.exe, etc)
>
> Just for fyi :)
>
> The ppd.gz tells the printer specific filter what specific options the 
> printer supports.

Thanks for your reply. I have inserted comments above re the driver I 
downloaded.

Regards,

Alan

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===